Bug 1092184 - updating uglify-js from 2.2.5-2.fc20 to 2.4.13-3.fc20 fails with conflict on /usr/lib/node_modules/uglify-js
Summary: updating uglify-js from 2.2.5-2.fc20 to 2.4.13-3.fc20 fails with conflict on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uglify-js
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-28 23:17 UTC by Dan Callaghan
Modified: 2014-05-30 17:05 UTC (History)
2 users (show)

Fixed In Version: nodejs-asap-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-12 05:28:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Callaghan 2014-04-28 23:17:05 UTC
Description of problem:
Cannot upgrade uglify-js.

Version-Release number of selected component (if applicable):
uglify-js-2.4.13-3.fc20

How reproducible:
always

Steps to Reproduce:
1. Install uglify-js-2.2.5-2.fc20
2. Upgrade to uglify-js-2.4.13-3.fc20

Actual results:
RPM transaction check fails:

Transaction check error:
  file /usr/lib/node_modules/uglify-js from install of uglify-js-2.4.13-3.fc20.noarch conflicts with file from package uglify-js-2.2.5-2.fc20.noarch

Expected results:
Should upgrade cleanly.

Additional info:
Similar to bug 1082946, but this is conflicting on a different path.

Comment 1 Fedora Update System 2014-04-29 19:41:43 UTC
uglify-js-2.4.13-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uglify-js-2.4.13-4.fc20

Comment 2 Fedora Update System 2014-04-29 19:42:16 UTC
uglify-js-2.4.13-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/uglify-js-2.4.13-4.fc19

Comment 3 Fedora Update System 2014-04-29 19:48:55 UTC
nodejs-asap-1.0.0-1.el6, nodejs-utils-merge-1.0.0-1.el6, nodejs-uglify-to-browserify-1.0.2-2.el6, nodejs-constantinople-2.0.0-3.el6, nodejs-with-3.0.0-3.el6, nodejs-readdirp-0.3.3-1.el6, nodejs-monocle-1.1.51-1.el6, nodejs-character-parser-1.2.0-1.el6, nodejs-source-map-0.1.33-1.el6, nodejs-css-stringify-1.4.1-1.el6, nodejs-css-1.6.0-1.el6, nodejs-promise-4.0.0-1.el6, nodejs-transformers-3.0.0-3.el6, nodejs-range-parser-1.0.0-1.el6, nodejs-merge-descriptors-0.0.2-1.el6, nodejs-express-3.5.0-2.el6, mocha-1.18.0-1.el6, nodejs-jade-1.3.0-2.el6, nodejs-commander-2.1.0-1.el6, nodejs-stream-counter-0.2.0-1.el6, nodejs-multiparty-3.2.3-2.el6, nodejs-raw-body-1.1.3-1.el6, nodejs-vhost-1.0.0-1.el6, nodejs-static-favicon-1.0.1-1.el6, nodejs-serve-static-1.0.2-1.el6, nodejs-send-0.2.0-1.el6, nodejs-serve-index-1.0.1-2.el6, nodejs-batch-0.5.0-2.el6, nodejs-response-time-1.0.0-1.el6, nodejs-qs-0.6.6-1.el6, nodejs-morgan-1.0.0-1.el6, nodejs-method-override-1.0.0-1.el6, nodejs-methods-0.1.0-1.el6, nodejs-fresh-0.2.2-1.el6, nodejs-express-session-1.0.2-1.el6, nodejs-errorhandler-1.0.0-2.el6, nodejs-csurf-1.0.0-1.el6, nodejs-connect-timeout-1.0.0-1.el6, nodejs-compressible-1.0.0-2.el6, nodejs-negotiator-0.4.2-1.el6, nodejs-compression-1.0.1-1.el6, nodejs-cookie-signature-1.0.3-1.el6, nodejs-cookie-0.1.1-1.el6, nodejs-cookie-parser-1.0.1-4.el6, nodejs-basic-auth-connect-1.0.0-1.el6, nodejs-connect-2.14.2-2.el6, nodejs-reduce-component-1.0.1-1.el6, nodejs-cookiejar-1.3.1-1.el6, nodejs-component-emitter-1.1.2-1.el6, nodejs-superagent-0.17.0-4.el6, uglify-js-2.4.13-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0738/uglify-js-2.4.13-4.el6,nodejs-reduce-component-1.0.1-1.el6,nodejs-cookiejar-1.3.1-1.el6,nodejs-component-emitter-1.1.2-1.el6,nodejs-superagent-0.17.0-4.el6,nodejs-utils-merge-1.0.0-1.el6,nodejs-uglify-to-browserify-1.0.2-2.el6,nodejs-constantinople-2.0.0-3.el6,nodejs-with-3.0.0-3.el6,nodejs-readdirp-0.3.3-1.el6,nodejs-monocle-1.1.51-1.el6,nodejs-character-parser-1.2.0-1.el6,nodejs-source-map-0.1.33-1.el6,nodejs-css-stringify-1.4.1-1.el6,nodejs-css-1.6.0-1.el6,nodejs-promise-4.0.0-1.el6,nodejs-transformers-3.0.0-3.el6,nodejs-range-parser-1.0.0-1.el6,nodejs-merge-descriptors-0.0.2-1.el6,nodejs-express-3.5.0-2.el6,mocha-1.18.0-1.el6,nodejs-jade-1.3.0-2.el6,nodejs-commander-2.1.0-1.el6,nodejs-stream-counter-0.2.0-1.el6,nodejs-multiparty-3.2.3-2.el6,nodejs-raw-body-1.1.3-1.el6,nodejs-vhost-1.0.0-1.el6,nodejs-static-favicon-1.0.1-1.el6,nodejs-serve-static-1.0.2-1.el6,nodejs-send-0.2.0-1.el6,nodejs-serve-index-1.0.1-2.el6,nodejs-batch-0.5.0-2.el6,nodejs-response-time-1.0.0-1.el6,nodejs-qs-0.6.6-1.el6,nodejs-morgan-1.0.0-1.el6,nodejs-method-override-1.0.0-1.el6,nodejs-methods-0.1.0-1.el6,nodejs-fresh-0.2.2-1.el6,nodejs-express-session-1.0.2-1.el6,nodejs-errorhandler-1.0.0-2.el6,nodejs-csurf-1.0.0-1.el6,nodejs-connect-timeout-1.0.0-1.el6,nodejs-compressible-1.0.0-2.el6,nodejs-negotiator-0.4.2-1.el6,nodejs-compression-1.0.1-1.el6,nodejs-cookie-signature-1.0.3-1.el6,nodejs-cookie-0.1.1-1.el6,nodejs-cookie-parser-1.0.1-4.el6,nodejs-basic-auth-connect-1.0.0-1.el6,nodejs-connect-2.14.2-2.el6,nodejs-asap-1.0.0-1.el6

Comment 4 Fedora Update System 2014-04-30 20:45:53 UTC
nodejs-asap-1.0.0-1.el6, nodejs-utils-merge-1.0.0-1.el6, nodejs-uglify-to-browserify-1.0.2-2.el6, nodejs-constantinople-2.0.0-3.el6, nodejs-with-3.0.0-3.el6, nodejs-readdirp-0.3.3-1.el6, nodejs-monocle-1.1.51-1.el6, nodejs-character-parser-1.2.0-1.el6, nodejs-source-map-0.1.33-1.el6, nodejs-css-stringify-1.4.1-1.el6, nodejs-css-1.6.0-1.el6, nodejs-promise-4.0.0-1.el6, nodejs-transformers-3.0.0-3.el6, nodejs-range-parser-1.0.0-1.el6, nodejs-merge-descriptors-0.0.2-1.el6, nodejs-express-3.5.0-2.el6, mocha-1.18.0-1.el6, nodejs-jade-1.3.0-2.el6, nodejs-commander-2.1.0-1.el6, nodejs-stream-counter-0.2.0-1.el6, nodejs-multiparty-3.2.3-2.el6, nodejs-raw-body-1.1.3-1.el6, nodejs-vhost-1.0.0-1.el6, nodejs-static-favicon-1.0.1-1.el6, nodejs-serve-static-1.0.2-1.el6, nodejs-send-0.2.0-1.el6, nodejs-serve-index-1.0.1-2.el6, nodejs-batch-0.5.0-2.el6, nodejs-response-time-1.0.0-1.el6, nodejs-qs-0.6.6-1.el6, nodejs-morgan-1.0.0-1.el6, nodejs-method-override-1.0.0-1.el6, nodejs-methods-0.1.0-1.el6, nodejs-fresh-0.2.2-1.el6, nodejs-express-session-1.0.2-1.el6, nodejs-errorhandler-1.0.0-2.el6, nodejs-csurf-1.0.0-1.el6, nodejs-connect-timeout-1.0.0-1.el6, nodejs-compressible-1.0.0-2.el6, nodejs-negotiator-0.4.2-1.el6, nodejs-compression-1.0.1-1.el6, nodejs-cookie-signature-1.0.3-1.el6, nodejs-cookie-0.1.1-1.el6, nodejs-cookie-parser-1.0.1-4.el6, nodejs-basic-auth-connect-1.0.0-1.el6, nodejs-connect-2.14.2-2.el6, nodejs-reduce-component-1.0.1-1.el6, nodejs-cookiejar-1.3.1-1.el6, nodejs-component-emitter-1.1.2-1.el6, nodejs-superagent-0.17.0-4.el6, uglify-js-2.4.13-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 5 Fedora Update System 2014-05-12 05:28:20 UTC
uglify-js-2.4.13-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-05-12 05:28:34 UTC
uglify-js-2.4.13-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-05-30 17:05:56 UTC
nodejs-asap-1.0.0-1.el6, nodejs-utils-merge-1.0.0-1.el6, nodejs-uglify-to-browserify-1.0.2-2.el6, nodejs-constantinople-2.0.0-3.el6, nodejs-with-3.0.0-3.el6, nodejs-character-parser-1.2.0-1.el6, nodejs-source-map-0.1.33-1.el6, nodejs-css-stringify-1.4.1-1.el6, nodejs-css-1.6.0-1.el6, nodejs-promise-4.0.0-1.el6, nodejs-transformers-3.0.0-3.el6, nodejs-range-parser-1.0.0-1.el6, nodejs-merge-descriptors-0.0.2-1.el6, nodejs-express-3.5.0-2.el6, mocha-1.18.0-1.el6, nodejs-commander-2.1.0-1.el6, nodejs-stream-counter-0.2.0-1.el6, nodejs-multiparty-3.2.3-2.el6, nodejs-raw-body-1.1.3-1.el6, nodejs-vhost-1.0.0-1.el6, nodejs-static-favicon-1.0.1-1.el6, nodejs-serve-static-1.0.2-1.el6, nodejs-send-0.2.0-1.el6, nodejs-serve-index-1.0.1-2.el6, nodejs-batch-0.5.0-2.el6, nodejs-response-time-1.0.0-1.el6, nodejs-qs-0.6.6-1.el6, nodejs-morgan-1.0.0-1.el6, nodejs-method-override-1.0.0-1.el6, nodejs-methods-0.1.0-1.el6, nodejs-fresh-0.2.2-1.el6, nodejs-express-session-1.0.2-1.el6, nodejs-errorhandler-1.0.0-2.el6, nodejs-csurf-1.0.0-1.el6, nodejs-connect-timeout-1.0.0-1.el6, nodejs-compressible-1.0.0-2.el6, nodejs-negotiator-0.4.2-1.el6, nodejs-compression-1.0.1-1.el6, nodejs-cookie-signature-1.0.3-1.el6, nodejs-cookie-0.1.1-1.el6, nodejs-cookie-parser-1.0.1-4.el6, nodejs-basic-auth-connect-1.0.0-1.el6, nodejs-connect-2.14.2-2.el6, nodejs-reduce-component-1.0.1-1.el6, nodejs-cookiejar-1.3.1-1.el6, nodejs-component-emitter-1.1.2-1.el6, nodejs-superagent-0.17.0-4.el6, uglify-js-2.4.13-5.el6, nodejs-argparse-0.1.15-8.el6, nodejs-grunt-contrib-uglify-0.4.0-3.el6, nodejs-maxmin-0.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.